<main>
  <div class="album py-5">
    <div class="container">
      <div class="row row-cols-1 row-cols-sm-2 mb-3">
        <div class="col">
          <label class="text-secondary">Ordenar por:</label>
        </div>
        <div class="col">
          <select class="form-select" (change)="onSortChange($event)">
            <option value="+precio">Precio de menor a mayor</option>
            <option value="-precio">Precio de mayor a menor</option>
            <option value="+marca">Marca</option>
          </select>
        </div>
      </div>
      <div class="row row-cols-1 row-cols-sm-2 row-cols-md-5">
        <div *ngFor="let producto of productos" ngClass="{{screenWidth < 600 ? 'col mb-3' : 'col mb-3 d-flex align-items-stretch'}}">
          <div class="card bg-dark shadow-sm">
            <img class="p-4 cursor-pointer" src="{{producto.imagen}}" alt="{{producto.nombre}}" title="{{producto.nombre}}" (click)="viewProduct(producto.sku)"/>
            <div class="card-body">
              <p class="fw-bold text-white">{{producto.marca | uppercase}}</p>
              <p class="fw-bold text-white">{{producto.nombre}}</p>
              <p class="text-warning">{{producto.precio | price}}</p>
              <p class="card-text text-white">{{producto.descripcion}}</p>
              <div class="text-center">
                  <button type="button" class="btn btn-primary">Comprar</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>